Subject: Re: bug#60982: 28.2; Behavior of read-file-name-default / read-file-internal

From: Michael Albinus <[email-masked]>
Date: Sat, 21 Jan 2023 10:01:02 +0100

Frederic Santos <[email-masked]> writes:

> Hi,

Hi Frederic,

> Not sure if that is a bug or not, but I noticed a strange behavior of find-file in some specific situations with Emacs 28.2. Say that I have three files in a given directory:
>
> .
> ├── landmarks2.tps
> ├── landmarks.tps
> └── script.R
>
> 1. Open Emacs with emacs -q in this directory.
> 2. Doing C-x C-f TAB proposes only one candidate, script.R, when I
> obviously expected three candidates. (Then, if you start typing 'l' in
> the minibuffer, you indeed get landmarks.tps and landmarks2.tps as
> candidates, but I'm not sure why they are not proposed initially.)

See variable completion-ignored-extensions. It contains ".tps", files
with that extension are ignored in completion. When you type "l" these
files are offered, because "It does not ignore them if all possible
completions end in one of these strings" (from the docstring).

> All the best,
> F.

Best regards, Michael.